#
# spec file for package fcitx-qt5
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fcitx-qt5
Version:        1.0.4
Release:        7.1
Summary:        Fcitx QT5 Input Context
License:        GPL-2.0+
Group:          System/I18n/Chinese
Url:            https://github.com/fcitx/fcitx-qt5
Source:         http://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz
Source99:       baselibs.conf
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  fcitx-devel >= 4.2.8.6
BuildRequires:  gcc-c++
BuildRequires:  libicu-devel
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtbase-private-headers-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# fcitx-qt5 is using private QPA API, which can, and does break BC even in point releases,
# so we need to hardcode libQt5Gui5 version
%requires_eq libQt5Gui5
%description
A QT5 input context plugin of Fcitx IM Framework.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Development header files for Fcitx input method framework (Qt5).

%prep
%setup -q

%build
%cmake ..
make %{?_smp_mflags}

%install
%cmake_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libFcitxQt5*Addons.so.1
%{_libdir}/libFcitxQt5*Addons.so.1.0
%dir %{_libdir}/qt5/plugins/
%dir %{_libdir}/qt5/plugins/platforminputcontexts/
%{_libdir}/qt5/plugins/platforminputcontexts/libfcitxplatforminputcontextplugin.so

%files devel
%defattr(-,root,root)
%{_includedir}/FcitxQt5
%{_libdir}/libFcitxQt5*Addons.so
%{_libdir}/cmake/FcitxQt5*Addons/

%changelog
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Qt 5.5.1 rebuild
* Mon Aug 31 2015 i@marguerite.su
- update version 1.0.4
  * fix the coordinates for high dpi in qt5
* Thu Jul  9 2015 i@marguerite.su
- update version 1.0.3
  * fix build w/ qt 5.5
* Sat May 30 2015 i@marguerite.su
- update version 1.0.2
  * fix google code issue 748
  * fix dependency check
  * fix leak
  * use xkbcommon for compose
  * install to lib instead of data
* Thu Apr  2 2015 i@marguerite.su
- update version 1.0.1
  * small fix against 1.0.0
- changes from 0.1.3 to 1.0.0
  * add COPYING
  * use platform name to check x11
  * access window function when context destructs is a bad thing
  * reorganize fcitx-qt5 library
- changes from 0.1.2 to 0.1.3
  * remove debug message
  * fix fcitx-qt5 display number resolution
  * fix pkg-config file
  * use filterEvent instead of x11FilterEvent
  * update dbus support
  * use new qt5 library name
* Fri Dec 12 2014 hrvoje.senjan@gmail.com
- fcitx-qt5 is using private QPA API, which can, and does break BC
  even in point releases, so we need to hardcode libQt5Gui5 version
* Mon Sep 15 2014 i@marguerite.su
- add baselibs.conf to Source
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Fix baselibs requires, and shlib find-requires works
  also with baselibs
* Mon Jun  9 2014 i@marguerite.su
- update version 0.1.2
  * Fix github issue fcitx/fcitx-qt5#2
* Sun Mar  3 2013 i@marguerite.su
- update version 0.1.1
  * fix build and add libfcitx-qt5 for dbus.
- fix Qt5 dependency name from KDE:Qt50 repository.
- add baselibs.conf
  * because there're 32bit applications that needs input method
  * so we have to provide a 32bit input module too
* Tue Apr 17 2012 i@marguerite.su
- initial version 0.1.0
